// -*- C++ -*-

//=============================================================================
/**
 *  @file    glob.h
 *
 *  pathname pattern-matching types
 *
 *  glob.h,v 1.2 2003/04/21 15:52:59 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_GLOB_H
#define ACE_OS_INCLUDE_GLOB_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#include "ace/os_include/sys/types.h"

#if !defined (ACE_LACKS_GLOB_H)
# include /**/ <glob.h>
#endif /* !ACE_LACKS_GLOB_H */

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_GLOB_H */
